OpenBlas fails to compile on modern laptop

Create issue
Issue #1962 closed
Roland Haas created an issue

It seems as if the cpuid_x86.c in OpenBlas (0.2.13) does not recognize anything newer than Haswell CPUs so fails on my skylake laptop (i7-6500U). According to the changelong http://www.openblas.net/Changelog.txt we'd need at least Version 0.2.15 from Otctober 2015 to make this work.

This is a blocker for affected systems since one cannot compile.

Keyword: OpenBLAS

Comments (9)

  1. Roland Haas reporter
    • removed comment

    Would it be a useful to try and detect this type of error and use information from the Cactus build to force some lower performing version of OpenBLAS to be build? Building from source is a fallback for us for cases where the system does not offer a useful BLAS so it may be better to build something slower than to not build at all (assuming this happens on a new user's laptop/workstation).

  2. Roland Haas reporter
    • changed status to resolved
    • removed comment

    I wanted to see if the new version compiles first. I will update to 0.2.19 which seems to compile fine.

  3. Roland Haas reporter
    • changed status to open
    • removed comment

    I accidentally applied the patch to the release branch 2016_05. Should I revert it there is just mark it as a backport?

  4. Frank Löffler
    • removed comment

    "Fixing" this in the release wasn't bad. Just please also apply it Sid, obviously.

  5. Roland Haas reporter
    • removed comment

    Sid? I also applied it to current trunk of OpenBLAS if that is what you meant to ask.

  6. Frank Löffler
    • removed comment

    Sorry. Sid in Debian is "still in development" (or the respective character in toy story; your choice). For us: trunk/master/development version/your favorite name. So: yes.

  7. Roland Haas reporter
    • changed status to resolved
    • removed comment

    Very good, closing the ticket. Using debian testing myself, I am used to sid breaking my toys :-).

  8. Log in to comment